wiki:SharedFMA
Last modified 6 years ago Last modified on 02/11/12 23:17:39

The following should provide you with instructions as well as the essential components you will need to interact with an updating copy of the FMA served from one of SIGs servers.

Install Protege 2.1.2

First, if you want to access a frequently updating version of the FMA, it will work best to stick with the database schema used by the live FMA. This means using a version of Protege that is not the latest. I suggest using the same version that Onard uses which is v2.1.2 and can be downloaded here:

Protege 2.1.2 installer: http://protege.cim3.net/download/old-releases/2.1.2/basic/

JB: Note that if you are using a non-PowerPC Mac (virtually all of them these days), the Protege.app program installed by the above download will not work. You will get an error like "You can't open the application install_protege.app because PowerPC applications are no longer supported". To get around this problem you should get the "Any Unix Platform" download from the download page, and then unzip it. This will put a file called "run_protege.sh" in the unzipped directory. However, if you try to run this from the command line you will get errors because this file uses <CR><LF> separators (MS-DOS convention) whereas later Macs want to see just <LF> separators between lines. To remove the <CR> you can download these conversion tools, http://creativeeyes.at/tools/lfconv, and then use the utility dos2unix to remove the <CR>. That is, dos2unix run_protege.sh, which will result in run_protege.sh.unix. Save the original as something like run_protege.sh.original, rename run_protege.sh.unix to run_protege.sh, make the program executable, and make sure you have java in /usr/bin (most Macs do I think). IF so you should be able to click on the script and run Protege. If you are so moved you can also make this script into a Mac App using something like appify http://mathiasbynens.be/notes/shell-script-mac-apps (but scroll down to get the Lion version).

Install additional files

In addition to the basic Protege install, you will want to add a couple more things. These are provided in the attached zip file. Unzip to a temporary location and copy as follows:

  1. Copy the file driver.jar into the main Protege_2.1 directory.
  2. Copy the folder edu.washington.si.standard_extensions and its contained jar into the "plugins" directory inside of the Protege2.1 installation.
  3. Copy the file fma_current.pprj to anywhere convenient for accessing from Protege (this will be your project file).

If you have already started Protege 2.1, shut it down. Start Protege 2.1. Open fma_current.pprj. You should see the FMA.

Attachments

  • fma_current.zip (1.1 MB) - added by detwiler 6 years ago. Files needed to connect Protege to a SIG hosted up-to-date copy of the FMA